package com.jay.monitor.data.server.daos;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jay.monitor.data.server.models.entity.BackstageUrlExt;
import com.jay.monitor.data.server.models.entity.BackstageUrlExtExample;
import com.jay.monitor.data.server.models.entity.BackstageUrlExtWithBLOBs;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BackstageUrlExtMapper extends BaseMapper<BackstageUrlExt> {

    int countByExample(BackstageUrlExtExample example);

    int deleteByExample(BackstageUrlExtExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BackstageUrlExtWithBLOBs record);

    int insertSelective(BackstageUrlExtWithBLOBs record);

    List<BackstageUrlExtWithBLOBs> selectByExampleWithBLOBs(BackstageUrlExtExample example);

    List<BackstageUrlExt> selectByExample(BackstageUrlExtExample example);

    BackstageUrlExtWithBLOBs selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BackstageUrlExtWithBLOBs record, @Param("example") BackstageUrlExtExample example);

    int updateByExampleWithBLOBs(@Param("record") BackstageUrlExtWithBLOBs record, @Param("example") BackstageUrlExtExample example);

    int updateByExample(@Param("record") BackstageUrlExt record, @Param("example") BackstageUrlExtExample example);

    int updateByPrimaryKeySelective(BackstageUrlExtWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(BackstageUrlExtWithBLOBs record);

    int updateByPrimaryKey(BackstageUrlExt record);
}